#ifndef _UTIL_STRING_HH_
#define _UTIL_STRING_HH_

#include <string>
#include <vector>

// Transforme une chaine en liste de tokens
std::vector< std::string > Tokenize( const std::string & str ,
				     const std::string & delim ) ;


// Conversion d'un string en flotant 
float ToFloat( const std::string & str ) ;

double ToDouble( const std::string & str ) ;

size_t ToSizeT( const std::string & str ) ;

unsigned long ToULong( const std::string & str ) ;


#endif
